Bug 1603209 - All parameters for class overridden by default
Summary: All parameters for class overridden by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Smart Variables
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: orabin
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-19 13:10 UTC by Maxim Burgerhout
Modified: 2019-11-05 23:29 UTC (History)
4 users (show)

Fixed In Version: foreman-1.18.0.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:00:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 24355 0 Normal Closed All parameters for class overridden by default 2020-01-21 14:49:32 UTC

Description Maxim Burgerhout 2018-07-19 13:10:33 UTC
Description of problem:
I imported the puppetlabs-ntp and puppetlabs-stdlib classes. On first run, all was fine. Then, I wanted to change the 'server' parameter, so I opened the smart parameters tab of the ntp class, and found all classes were marked 'overriden'. 

I only set the 'server' parameter, but Puppet barfed that all parameters were now filled with empty strings, and thus didn't match the expected types:

From the log on the satellite (which was also the puppet client in my case):
[...]
puppetlabs/puppetserver/puppetserver.log:  parameter 'enable_mode7' expects a Boolean value, got String
puppetlabs/puppetserver/puppetserver.log:  parameter 'iburst_enable' expects a Boolean value, got String
puppetlabs/puppetserver/puppetserver.log:  parameter 'keys_enable' expects a Boolean value, got String
[...]

YAML output on the Satellite:
[...]classes:
  ntp:
    authprov: ''
    broadcastclient: ''
    config: ''
    config_dir: ''
    config_epp: ''
    config_file_mode: ''
    config_template: ''
    disable_auth: ''
    disable_dhclient: ''
    disable_kernel: ''
    disable_monitor: ''
    driftfile: ''
    enable_mode7: ''
[...]


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. import puppetlabs-ntp in new satellite
2. run puppet
3. go to smart parameters tab for ntp class


Actual results:
all parameters are marked as overriden

Expected results:
None should be

Additional info:
See: http://post-office.corp.redhat.com/archives/satellite6-devel/2018-July/msg00021.html

Module I imported: https://forge.puppet.com/puppetlabs/ntp

It happens only with that module, but I do not know whether that is because it was the first one I used (and that was also the case for the person in that thread mentioned above), or because it's really only that module that triggers it.

Comment 2 Perry Gagne 2018-07-19 13:45:11 UTC
I had this same issue and can confirm it only seems to happen with that module, other ones i have tried (like puppetlabs apache) don't seem to have this issue.

Comment 3 Brad Buckingham 2018-07-20 15:34:29 UTC
Does this behavior exist also on 6.2?

Does it truely only happen with this module or could it be a case of it happens with the first module used?

Comment 4 orabin 2018-07-23 13:53:22 UTC
Created redmine issue https://projects.theforeman.org/issues/24355 from this bug

Comment 5 Satellite Program 2018-07-23 14:14:52 UTC
Upstream bug assigned to orabin

Comment 6 Satellite Program 2018-07-23 14:14:54 UTC
Upstream bug assigned to orabin

Comment 10 Satellite Program 2018-07-30 10:14:37 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/24355 has been resolved.

Comment 13 Bryan Kearney 2018-10-16 19:00:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.